List catalog items Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.pattern.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Hub API MCP server": {
    "url": "https://developer.pattern.com/mcp"
  }
}

Close
GET /v1/catalog/items

Retrieve a list of catalog items belonging to the authenticated organization.

Query parameters

  • page integer

    Page number for pagination

  • per_page integer

    Number of items per page (default: 100)

Responses

  • 200 application/json

    catalog bundle component with parent bundles

    Hide response attributes Show response attributes object
    • id integer Required

      Item ID

    • name string | null

      Item name

    • mpn string | null

      Manufacturer Part Number

    • upc string | null

      Universal Product Code

    • hs_code string | null

      Harmonized System code

    • is_hazmat boolean | null

      Whether the item is hazmat

    • cold_storage_type string | null

      Cold storage type

    • can_expire boolean | null

      Whether the item can expire

    • is_bundle boolean Required

      Whether the item is a bundle containing other items

    • is_bundle_component boolean Required

      Whether the item is a component of a bundle

    • bundle_components array[object] | null

      List of component items (present when is_bundle is true)

      Hide bundle_components attributes Show bundle_components attributes object
      • id integer Required

        Component item ID

      • mpn string | null

        Component MPN

      • name string | null

        Component name

    • parent_bundles array[object] | null

      Parent bundle items (present when is_bundle_component is true)

      Hide parent_bundles attributes Show parent_bundles attributes object
      • id integer Required

        Bundle item ID

      • mpn string | null

        Bundle MPN

      • name string | null

        Bundle name

GET /v1/catalog/items
curl \
 --request GET 'https://api.pattern.com/hub/v1/catalog/items' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "id": 42,
    "name": "string",
    "mpn": "string",
    "upc": "string",
    "hs_code": "string",
    "is_hazmat": true,
    "cold_storage_type": "string",
    "can_expire": true,
    "is_bundle": true,
    "is_bundle_component": true,
    "bundle_components": [
      {
        "id": 42,
        "mpn": "string",
        "name": "string"
      }
    ],
    "parent_bundles": [
      {
        "id": 42,
        "mpn": "string",
        "name": "string"
      }
    ]
  }
]